# org.apache.maven.artifact.repository.metadata

## Interfaces

- RepositoryMetadata
- RepositoryMetadataManager

## Classes

- AbstractRepositoryMetadata
- ArtifactRepositoryMetadata
- DefaultRepositoryMetadataManager
- GroupRepositoryMetadata
- RepositoryMetadataDeploymentException
- RepositoryMetadataInstallationException
- SnapshotArtifactRepositoryMetadata

## Exceptions

- RepositoryMetadataReadException
- RepositoryMetadataResolutionException
- RepositoryMetadataStoreException